package utopp;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Title:        UTopp
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      MakroSoft
 * @author
 * @version 1.0
 */

public class Usecaseeingabemaske extends JDialog {

  use_case usecase;
  ActionListener al;

  BorderLayout borderLayout1 = new BorderLayout();
  JTabbedPane Kontainerfuer = new JTabbedPane();
  JPanel AllgemeinesPanel = new JPanel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JLabel NrLabel = new JLabel();
  JTextField NrFeld = new JTextField();
  JLabel NameLabel = new JLabel();
  JTextField NameFeld = new JTextField();
  JLabel AkteurLabel = new JLabel();
  JTextField AkteurFeld = new JTextField();
  JLabel VorbedingungenLabel = new JLabel();
  JTextField VorbedingungenFeld = new JTextField();
  JLabel NachbedingungenLabel = new JLabel();
  JTextField NachbedingungenFeld = new JTextField();
  JButton FertigButton = new JButton();
  JPanel AblaufPanel = new JPanel();
  GridBagLayout gridBagLayout2 = new GridBagLayout();
  JTextArea AblaufTextArea = new JTextArea();
  JLabel InvariantenLabel = new JLabel();
  JTextField InvariantenFeld = new JTextField();

  public Usecaseeingabemaske(use_case u, ActionListener a) {
    usecase = u;
    al = a;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {

    NrFeld.setText(usecase.get_Nr());
    NameFeld.setText(usecase.get_Name());
    AkteurFeld.setText(usecase.get_Akteur());
    VorbedingungenFeld.setText(usecase.get_Vorbedingung());
    NachbedingungenFeld.setText(usecase.get_Nachbedingung());
    InvariantenFeld.setText(usecase.get_Invarianten());
    AblaufTextArea.setText(usecase.get_Ablauf());
    this.setModal(true);
    this.setTitle("Use Case Eingabemaske");
    this.getContentPane().setLayout(borderLayout1);
    AllgemeinesPanel.setLayout(gridBagLayout1);
    NrLabel.setText("Nr:");
    NameLabel.setText("Name:");
    AkteurLabel.setText("Akteur:");
    VorbedingungenLabel.setText("Vorbedingungen:");
    NachbedingungenLabel.setText("Nachbedingungen:");
    FertigButton.setText("fertig");
    FertigButton.setActionCommand("usecase fertig");
    FertigButton.addActionListener(al);
    AblaufPanel.setLayout(gridBagLayout2);
    InvariantenLabel.setText("Invarianten:");
    this.getContentPane().add(Kontainerfuer, BorderLayout.CENTER);
    Kontainerfuer.add(AllgemeinesPanel, "Allgemeines");
    AllgemeinesPanel.add(NrLabel, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(NrFeld, new GridBagConstraints(1, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.EAST, GridBagConstraints.HORIZONTAL, new Insets(25, 10, 25, 25), 500, 8));
    AllgemeinesPanel.add(NameLabel, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(NameFeld, new GridBagConstraints(1, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.EAST, GridBagConstraints.HORIZONTAL, new Insets(25, 10, 25, 25), 0, 8));
    AllgemeinesPanel.add(AkteurLabel, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(AkteurFeld, new GridBagConstraints(1, 2, 1, 1, 1.0, 1.0
            ,GridBagConstraints.EAST, GridBagConstraints.HORIZONTAL, new Insets(25, 10, 25, 25), 0, 8));
    AllgemeinesPanel.add(VorbedingungenLabel, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(VorbedingungenFeld, new GridBagConstraints(1, 3, 1, 1, 1.0, 1.0
            ,GridBagConstraints.EAST, GridBagConstraints.HORIZONTAL, new Insets(25, 10, 25, 25), 0, 8));
    AllgemeinesPanel.add(NachbedingungenLabel, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(NachbedingungenFeld, new GridBagConstraints(1, 4, 1, 1, 1.0, 1.0
            ,GridBagConstraints.EAST, GridBagConstraints.HORIZONTAL, new Insets(25, 10, 25, 25), 0, 8));
    AllgemeinesPanel.add(FertigButton, new GridBagConstraints(0, 6, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(InvariantenLabel, new GridBagConstraints(0, 5, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(25, 25, 25, 10), 0, 0));
    AllgemeinesPanel.add(InvariantenFeld, new GridBagConstraints(1, 5, 1, 1, 1.0, 1.0
            ,GridBagConstraints.EAST, GridBagConstraints.HORIZONTAL, new Insets(25, 10, 25, 25), 0, 8));
    Kontainerfuer.add(AblaufPanel, "Ablauf");
    AblaufPanel.add(AblaufTextArea, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(25, 25, 25, 25), 0, 0));

    addWindowListener( new WindowAdapter() {
                                  public void windowClosing(WindowEvent e) {
                                    setVisible(false);
                                    dispose();
                                  }
                          } );
  }
}